using JacobTechEncryption.Enums;
using LuskiServer.Enums;
using ServerDatabase;

namespace LuskiServer.Classes.TableDef;

public static class Channels
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<ChannelType> Type { get; } = new("type");
    public static TableColumn<DateTime> Epoch { get; } = new("epoch");
    public static TableColumn<byte[]> Name { get; } = new("name");
    public static TableColumn<byte[]> Description { get; } = new("description");
    public static TableColumn<string> Key { get; } = new("key");
    public static TableColumn<long[]> RoleOverides { get; } = new("role_overides");
    public static TableColumn<long[]> UserOverides { get; } = new("member_overides");
    public static TableColumn<EncryptionType> TitleEncryptionType { get; } = new("title_encryption_type");
    public static TableColumn<EncryptionType> DescriptionEncryptionType { get; } = new("description_encryption_type");
    public static TableColumn<EncryptionType[]> AllowedEncryptionTypes { get; } = new("allowed_encryption_types");
    public static TableColumn<EncoderType> TitleEncoderType { get; } = new("title_encoder_type");
    public static TableColumn<EncoderType> DescriptionEncoderType { get; } = new("description_encoder_type");
    public static TableColumn<EncoderType[]> AllowedEncoderTypes { get; } = new("allowed_encoder_types");
}